extends Node

func _ready() -> void:
	overrideScript("res://mods/Valday1P87/Preloader.gd")
	registerAttachments.call_deferred() # Make sure LibAttachments has loaded

func overrideScript(overrideScriptPath : String):
	var script : Script = load(overrideScriptPath)
	script.reload()
	var parentScript = script.get_base_script();
	script.take_over_path(parentScript.resource_path)

func registerAttachments():
	if !get_tree().root.get_node_or_null("LibAttachments"):
		OS.alert("LibAttachments not found! Please install the LibAttachments mod.")
		queue_free()
		return

	$/root/LibAttachments.addSiblingAttachment(load("res://Items/Attachments/1P87/1P87.tres"),\
		load("res://Items/Attachments/1P87/1p87.tscn"),\
		load("res://Items/Attachments/1P87/1P87_Dummy.tscn"),\
		"EXPS",\
		Vector3.UP * 0.011)
	queue_free()
